# $Revision: 1.47 $, $Date: 2011/03/01 06:28:48 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	Table
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - makes the design of HTML tables easy, flexible, reusable and efficient
Summary(pl.UTF-8):	%{_pearname} - czyni tworzenie tabel HTML łatwym, elastycznym, efektywnym
Name:		php-pear-%{_pearname}
Version:	1.8.3
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	f8a74eb688236a4ca3b53cae265be5f9
URL:		http://pear.php.net/package/HTML_Table/
BuildRequires:	php-pear-PEAR >= 1:1.5.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear >= 4:1.0-8.1
Requires:	php-pear-HTML_Common >= 1.2.3
Obsoletes:	php-pear-HTML_Table-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PEAR::HTML_Table package provides methods for easy and efficient
design of HTML tables.
- Lots of customization options.
- Tables can be modified at any time.
- The logic is the same as standard HTML editors.
- Handles col and rowspans.
- PHP code is shorter, easier to read and to maintain.
- Tables options can be reused.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa PEAR::HTML_Table dostarcza metody do łatwego i efektywnego
tworzenia tabel HTML.
- wiele opcji dostosowawczych.
- tabele mogą być modyfikowane w każdym momencie.
- logika jest taka sama jak w standardowych edytorach HTML-a.
- obsługa atrybutów col i rowspans.
- kod PHP jest krótszy, łatwiejszy do czytania i konserwacji.
- opcje tabel mogą być ponownie używane.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_Table.spec,v $
Revision 1.47  2011/03/01 06:28:48  glen
- release 3

Revision 1.46  2011/01/23 01:03:13  sparky
- dropped -tests subpackage

Revision 1.45  2010/08/21 19:07:57  glen
- updated deps with pearize.sh
- release 2

Revision 1.44  2010/08/20 12:59:08  glen
- updated to: 1.8.3

Revision 1.43  2008/01/31 12:16:07  glen
- rel 2

Revision 1.42  2007-12-22 23:17:59  adamg
- updated to 1.8.2

Revision 1.41  2007/08/23 10:11:23  adamg
- updated to 1.8.1

Revision 1.40  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.39  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.38  2006/11/26 20:33:27  glen
- 1.7.5

Revision 1.37  2006/11/02 12:52:46  glen
- 1.7.4

Revision 1.36  2006/07/09 13:25:19  adamg
- updated to 1.7.2

Revision 1.35  2006/06/26 07:55:36  adamg
- updated to 1.7.1

Revision 1.34  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.33  2006/04/30 06:27:35  adamg
- updated to 1.7.0

Revision 1.32  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.31  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.30  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.29  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.28  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.27  2005/10/30 23:43:53  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.26  2005/10/30 23:07:15  glen
- 1.6.1

Revision 1.25  2005/10/26 15:52:48  glen
- update deps (pearize.sh)

Revision 1.24  2005/10/26 11:47:54  glen
- updated to 1.6.0

Revision 1.23  2005/10/05 20:11:06  glen
- rel 3

Revision 1.22  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.21  2005/09/23 17:52:56  glen
- new pear packaging

Revision 1.20  2004/12/03 22:12:56  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.19  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.18  2003/10/07 20:54:46  adamg
- do not use macros in URL

Revision 1.17  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.16  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.15  2003/05/28 08:58:37  adamg
- massive attack: added source0-md5

Revision 1.14  2003/05/25 06:25:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/01/08 01:10:04  blues
- 1.3 - STBR to Ra-updates with new php

Revision 1.12  2003/01/08 00:22:30  blues
- added status info

Revision 1.11  2002/10/14 23:42:01  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.10  2002/09/07 06:35:03  blues
- fix in macros

Revision 1.9  2002/07/21 18:56:23  blues
- 1.1 (more features)
  STBR

Revision 1.8  2002/07/12 23:39:11  blues
- release 3 (rebuild with new rpm)

Revision 1.7  2002/07/03 23:53:06  kloczek
- release 2.

Revision 1.6  2002/07/02 10:23:28  blues
- req. php-pear

Revision 1.5  2002/06/30 20:42:58  ankry
- typo

Revision 1.4  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.3  2002/06/30 12:25:14  qboosh
- better pl

Revision 1.2  2002/06/29 14:32:44  blues
- translation

Revision 1.1  2002/06/25 12:11:27  blues
- initial
